Page MenuHomePhabricator

Reduce vertical whitespace in the RC page with the New Filters
Closed, ResolvedPublic

Description

Whitespace is good for delineation, but the amount of whitespace between the controls and edits seems excessive.

Thanks Dan. A number of users are complaining about this as well. Please see Pau's suggestions for where space can be removed, below.

Details

Related Gerrit Patches:
mediawiki/core : masterRCFilters: Minimize vertical space

Event Timeline

Deskana created this task.Aug 13 2017, 4:21 PM
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptAug 13 2017, 4:21 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

@Pginer-WMF I think Dan is looking at the space where View Newest Changes is meant to go. He's right it looks weirder empty, of course. But can you look at the design and see if this can be tightened up a bit, even when View Newest is in action? Thanks.

Pginer-WMF added a subscriber: Mooeypoo.EditedAug 22 2017, 6:28 PM

@Pginer-WMF I think Dan is looking at the space where View Newest Changes is meant to go. He's right it looks weirder empty, of course. But can you look at the design and see if this can be tightened up a bit, even when View Newest is in action? Thanks.

There is definitely more space than required by the designs. We reserve the space for the "newest changes" label in order to avoid content to jump when those appear, but currently there is unexpected extra space in two places:


The filters element is reserving too much space with a min-height rule. I reported this before in T172140. It got fixed by @Mooeypoo, but as new UI elements are removed from the old UI, it may need to be adjusted again.


The "view newest changes" element adds 10px margins to both top and bottom that can be reduced. Applying only 8px margin-top should be enough.

jmatazzoni renamed this task from Why is there a large amount of whitespace in the middle of the page? to Reduce vertical whitespace in the RC page with the New Filters.Aug 22 2017, 6:49 PM
jmatazzoni removed Pginer-WMF as the assignee of this task.
jmatazzoni updated the task description. (Show Details)

Change 373160 had a related patch set uploaded (by Mooeypoo; owner: Mooeypoo):
[mediawiki/core@master] RCFilters: Minimize vertical space

https://gerrit.wikimedia.org/r/373160

I made the spaces smaller, removed the top margin (it was there to separate from the community list, but that list goes into the box anyways now) and I reduced the top margin/padding of the first heading of the results, so it's a little less spacey.

I think that with the "show new changes", the button itself has padding, so I think the wrapper can just not have padding at all? But I wasn't sure when I looked at it, it did seem a tad squished. We can maybe remove just the bottom padding/margin from it? @Pginer-WMF let me know if you want that fixed. Otherwise, the commit above implements the other request, and should improve things at least slightly.

I made the spaces smaller, removed the top margin (it was there to separate from the community list, but that list goes into the box anyways now) and I reduced the top margin/padding of the first heading of the results, so it's a little less spacey.
I think that with the "show new changes", the button itself has padding, so I think the wrapper can just not have padding at all? But I wasn't sure when I looked at it, it did seem a tad squished. We can maybe remove just the bottom padding/margin from it? @Pginer-WMF let me know if you want that fixed. Otherwise, the commit above implements the other request, and should improve things at least slightly.

Removing the bottom margin (and reducing the top one to be closer to 8px) is what I proposed in T173265#3542334

The frameless button has internal padding and external margins. The button is frameless most of the time but when it gets focus a border around it appears and we don't want that to bee too close to the button label (what would happen if the padding is reduced too much) or to other elements (what would happen if top margin is eliminated completely).

If the distance still seems too much after the change, we can consider reducing the internal padding a bit too, but I'd try to avoid overriding standard components as the first approach.

Okay, I misunderstood - I thought you meant reducing both top/bottom margins to 4px. Fixing the patch now. We can go over it again after it's merged and you could see it in beta.

Change 373160 merged by jenkins-bot:
[mediawiki/core@master] RCFilters: Minimize vertical space

https://gerrit.wikimedia.org/r/373160

Checked in betalabs - the white space is smaller, and also it's already smaller in wmf.15.

betalabs

betalabs without "View newest changes":

wmf.15

QA Recommendation: Resolve

jmatazzoni closed this task as Resolved.Aug 25 2017, 7:56 PM